package com.emr.dao;

import com.emr.entity.ArchiveOtherExt;
import com.emr.entity.ArchiveOtherExtExample;
import java.util.List;

public interface ArchiveOtherExtMapper {
    int deleteByPrimaryKey(Long id);

    int insert(ArchiveOtherExt record);

    int insertSelective(ArchiveOtherExt record);

    List<ArchiveOtherExt> selectByExample(ArchiveOtherExt example);

    ArchiveOtherExt selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ArchiveOtherExt record);

    int updateByPrimaryKey(ArchiveOtherExt record);

    List<ArchiveOtherExt> selectExtTime(String MID);
}